from time import sleep
from pyjuni.robodog import *
from pyjuni.deflib import *

def 인사(dogs):

    multi_leg(dogs, ALL_LEG, height=60, step=0, height_speed=40, step_speed=40)
    sleep(1)

    multi_motor(dogs, FRONT_LEG, shoulder=0, knee=-80, shld_speed=30, knee_speed=50)
    sleep(0.8)

    multi_motor(dogs, FRONT_LEG, shoulder=-80, knee=80, shld_speed=20, knee_speed=50)
    sleep(1.2)

    multi_leg(dogs, FRONT_LEG, height=70, step=0, height_speed=40, step_speed=40)
    multi_leg(dogs, BACK_LEG, height=50, step=0, height_speed=40, step_speed=40)
    sleep(1)
    
if __name__ == "__main__":
    robodogs = RoboDogMultiOpen()
    인사(robodogs)
    RoboDogMultiClose(robodogs)
